Author Topic: Need Help TLS1.2  (Read 87 times)

VSCVS

  • EA Novice
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
Need Help TLS1.2
« on: July 13, 2018, 04:13:01 am »
Does any one know if EA  Support TLS1.2 for connecting to SQL DB server?

Simon M

  • EA Administrator
  • EA Guru
  • *****
  • Posts: 6354
  • Karma: +54/-5
    • View Profile
Re: Need Help TLS1.2
« Reply #1 on: July 13, 2018, 09:49:21 am »
Not yet.

Microsoft has only recently updated the OLE driver for SQL Server databases with support for this, and it's incompatible with the previous driver.

Both EA and the Cloud Server are being updated to allow the new driver. Question though, are you really connecting to your SQL Server database over an insecure network that requires TLS to be used?
Simon

support@sparxsystems.com

VSCVS

  • EA Novice
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
Re: Need Help TLS1.2
« Reply #2 on: July 14, 2018, 01:18:11 am »
Thanks for quick response.

Its Enterprise level compliance we have to meet. Do you know when the updated version will be available?

Glassboy

  • EA Practitioner
  • ***
  • Posts: 1041
  • Karma: +58/-71
    • View Profile
Re: Need Help TLS1.2
« Reply #3 on: July 16, 2018, 09:10:44 am »
Both EA and the Cloud Server are being updated to allow the new driver. Question though, are you really connecting to your SQL Server database over an insecure network that requires TLS to be used?

Security best practices are generally not to connect directly to a database server from a fat client, and to treat user networks as untrusted and little better than the Internet.

I suspect most large organisations that have implemented EA have had to have a security exemption.  I know of some that have tried to force users to consume it by Citrix only (which is horrendous).